Redmine - Feature #12355

Being able to close blocking and blocked issues in one bulk update operation
2012-11-14 10:31 - Etienne Massip

Status: Confirmed Start date: 2008-08-05
Priority: Normal Due date: 2008-08-05
Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

If there are 2 open issues related to each other with a "blocks/blocked by" relationship, then the context menu in the issue list (as well
as the bulk update issue form) won't propose the user the "Closed" target status even if both issues are selected for update.

l.e. the two dependent issues can't be closed at the same time but they should.

Related issues:
Follows Redmine - Defect #1740: Actually block issues from closing when relat... Closed 2008-08-04

History

#1 - 2012-11-17 12:20 - Jean-Philippe Lang

Not an easy fix.

#2 - 2012-11-25 11:03 - Jean-Philippe Lang
- Tracker changed from Defect to Feature

- Subject changed from Closed status transition is not allowed in bulk update/context menu because of issue blocks/blocked by relationship to Being
able to close blocking and blocked issues in one bulk update operation

- Target version deleted (Candidate for next minor release)

Hardly a defect. Blocked issue can not be closed before the blocking issue is closed. Being able to close them at the same time is pretty much a
feature request.

#3 - 2012-11-25 18:14 - Mischa The Evil
Added follows relation to #1740.

#4 - 2012-11-25 18:56 - Etienne Massip

- Target version set to Candidate for next major release

Jean-Philippe Lang wrote:
Hardly a defect. Blocked issue can not be closed before the blocking issue is closed. Being able to close them at the same time is pretty much a
feature request.

Yes, | had a hesitation indeed.

The fact is that when you're trying to close all 50 issues of a version at the same time and there are 2 tied by this relationship then you have to figure
out that this is the reason why the 'Closed' status is not proposed.
